package com.ruoyi.project.invoice.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 预约作业内容对象 t_invoice_workcontent
 *
 * @author ruoyi
 * @date 2022-08-26
 */
public class TInvoiceWorkcontent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 状态 1 ：正常 ；0：删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 作业类型 */
    @Excel(name = "作业类型")
    private Long workType;

    /** 风险等级 */
    @Excel(name = "风险等级")
    private Long riskLevel;

    /** 作业内容描述 */
    @Excel(name = "作业内容描述")
    private String workDescription;

    /** 作业人员数 */
    @Excel(name = "作业人员数")
    private Long workPeopleNumber;

    /** 监护人单位 */
    @Excel(name = "监护人单位")
    private String guardianUnit;

    /** 预计作业时间 */
    @Excel(name = "预计作业时间")
    private String estimateWorktime;

    /** 关联的预约开票ID */
    @Excel(name = "关联的预约开票ID")
    private Long bookingticketId;

    private TInvoiceBookingworkticket bookingworkticket;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setWorkType(Long workType)
    {
        this.workType = workType;
    }

    public Long getWorkType()
    {
        return workType;
    }
    public void setRiskLevel(Long riskLevel)
    {
        this.riskLevel = riskLevel;
    }

    public Long getRiskLevel()
    {
        return riskLevel;
    }
    public void setWorkDescription(String workDescription)
    {
        this.workDescription = workDescription;
    }

    public String getWorkDescription()
    {
        return workDescription;
    }
    public void setWorkPeopleNumber(Long workPeopleNumber)
    {
        this.workPeopleNumber = workPeopleNumber;
    }

    public Long getWorkPeopleNumber()
    {
        return workPeopleNumber;
    }
    public void setGuardianUnit(String guardianUnit)
    {
        this.guardianUnit = guardianUnit;
    }

    public String getGuardianUnit()
    {
        return guardianUnit;
    }
    public void setEstimateWorktime(String estimateWorktime)
    {
        this.estimateWorktime = estimateWorktime;
    }

    public String getEstimateWorktime()
    {
        return estimateWorktime;
    }
    public void setBookingticketId(Long bookingticketId)
    {
        this.bookingticketId = bookingticketId;
    }

    public Long getBookingticketId()
    {
        return bookingticketId;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("workType", getWorkType())
            .append("riskLevel", getRiskLevel())
            .append("workDescription", getWorkDescription())
            .append("workPeopleNumber", getWorkPeopleNumber())
            .append("guardianUnit", getGuardianUnit())
            .append("estimateWorktime", getEstimateWorktime())
            .append("bookingticketId", getBookingticketId())
                .append("bookingworkticket", getBookingworkticket())
            .append("deptId", getDeptId())
            .toString();
    }

    public TInvoiceBookingworkticket getBookingworkticket() {
        return bookingworkticket;
    }

    public void setBookingworkticket(TInvoiceBookingworkticket bookingworkticket) {
        this.bookingworkticket = bookingworkticket;
    }
}
